net.sourceforge.pmd

## Class LanguageVersionDiscovererTest

- java.lang.Object
- - net.sourceforge.pmd.LanguageVersionDiscovererTest

    public class LanguageVersionDiscovererTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LanguageVersionDiscovererTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testJavaFileUsing15()` Test on Java file with Java version set to 1.4.
`void` `testJavaFileUsingDefaults()` Test on Java file with default options.
`void` `testJspFile()` Test on JSP file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LanguageVersionDiscovererTest

    public LanguageVersionDiscovererTest()

### Method Detail

#### testJspFile

    public void testJspFile()

Test on JSP file.

#### testJavaFileUsingDefaults

    public void testJavaFileUsingDefaults()

Test on Java file with default options.

#### testJavaFileUsing15

    public void testJavaFileUsing15()

Test on Java file with Java version set to 1.4.

#### suite

    public static junit.framework.Test suite()